Method: projects.locations.dataStores.completionSuggestions.import

Mengimpor CompletionSuggestion untuk DataStore.

Permintaan HTTP

POST https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/dataStores/*}/completionSuggestions:import

URL menggunakan sintaks gRPC Transcoding.

Parameter jalur

Parameter
parent

string

Wajib diisi. Nama resource penyimpanan data induk untuk mengimpor saran pelengkapan otomatis pelanggan.

Mengikuti pola projects/*/locations/*/collections/*/dataStores/*

Isi Permintaan

Isi permintaan memuat data dengan struktur berikut:

Representasi JSON
{
  "errorConfig": {
    object (ImportErrorConfig)
  },

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "inlineSource": {
    object (InlineSource)
  },
  "gcsSource": {
    object (GcsSource)
  },
  "bigquerySource": {
    object (BigQuerySource)
  }
  // End of mutually exclusive fields.
}
Kolom
errorConfig

object (ImportErrorConfig)

Lokasi error yang diinginkan selama Impor.

Sumber saran pelengkapan otomatis. Berikut adalah daftar kolom yang saling eksklusif. Paling banyak satu kolom akan ditetapkan dalam respons:
inlineSource

object (InlineSource)

Sumber Inline untuk entri saran.

gcsSource

object (GcsSource)

Lokasi Cloud Storage untuk konten input.

bigquerySource

object (BigQuerySource)

Sumber input BigQuery.

Akhir kolom yang saling eksklusif.

Isi respons

Jika berhasil, isi respons akan memuat instance Operation.

Cakupan otorisasi

Memerlukan salah satu cakupan OAuth berikut:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

Untuk mengetahui informasi selengkapnya, lihat Authentication Overview.

Izin IAM

Memerlukan izin IAM berikut pada resource parent:

  • discoveryengine.completionSuggestions.import

Untuk mengetahui informasi selengkapnya, lihat dokumentasi IAM.